---
title: Spree 4.2.0
section: release_notes
order: 0
hidden: true
---

## Major/New Features

### GraphQL support

### Advanced Reporting

### Improved Storefront UI

### Easy migration path

Just follow [Follow 4.1 to 4.2 upgrade guide](/developer/upgrades/four-dot-one-to-four-dot-two.html) to enhance your current store with GraphQL

### Contact

Feel free to [reach out with questions or support requests](https://sparksolutions.co/contact/),

### About Spark Solutions

<a href="https://sparksolutions.co"><img src="https://sparksolutions.co/wp-content/uploads/2015/01/logo-ss-tr-221x100.png" alt="Spark Solutions"></a>

[Spark Solutions](https://sparksolutions.co/) is a software development agency specialized in Ruby on Rails, Spree Commerce and Javascript development. We’ve been leading Spree open-source efforts since 2016 as its core team. We also do client work. Our project teams consist of UX and UI designers, Software Engineers, Testers and Project Managers practicing agile project delivery. We’ll integrate our team with yours to jointly architect, deliver, maintain and scale the software products you need. You drive the project with requirements and acceptance testing and we help you deliver faster using industry-standard project management and comms best practices.

## Installation

### Add Spree gems to Gemfile

```ruby
gem 'spree', '~> 4.2.0.rc1'
gem 'spree_auth_devise', '~> 4.1'
gem 'spree_gateway', '~> 3.7'
```

### Run `bundle install`

**Note**: if you run into `Bundler could not find compatible versions for gem "sprockets":` error message, please run 

```bash
bundle update
```

### Use the install generators to set up Spree

```shell
rails g spree:install --user_class=Spree::User
rails g spree:auth:install
rails g spree_gateway:install
```

## Upgrade

[Follow 4.1 to 4.2 upgrade guide](/developer/upgrades/four-dot-one-to-four-dot-two.html)

## Noteworthy changes

Please review each of the noteworthy changes to ensure your customizations or extensions are not affected. If you are affected by a change, and have any suggestions please submit a PR to help the next person!

* `Spree::Variant` delegated fields `name` `description` and `slug` have been removed from the Storefront API V2 serializer to cut down on response sizes and overfetching. If you need these three fields you can simply include the product in the request.

* API v1 controllers now inherit from `ActionController::API` rather than `ActionController::Base`

## Full Changelog

You can view the full changes using [Github Compare](https://github.com/spree/spree/compare/4-1-stable...master).
